BEGIN {printit = 0;text = 0;}
{ 
#note we should detect the empty line as signal for message body
if (printit == 1) {print $0;}

#after we print some text we return to previous state because of MIME
 if (length($1) == 0 && text == 0) {printit = 0;}
 
#we print the text if there the content is plain text and if we found an empty line
 if (length($1) == 0 && text == 1) {printit = 1;text = 0;}

#we only print the plain text part, not the html one
 if ($1 == "Content-Type:" && $2 == "text/plain;") {text = 1;}
}
END {}
